### Struct

# Ggit DiffFile

#### Description [src]

    struct GgitDiffFile {
      /* No available fields */
    }

Represents a file in a `GgitDiff`.

#### Instance methods

###### ggit_diff_file_get_flags

Gets the `GgitDifflags` for `file`.

###### ggit_diff_file_get_mode

Gets the mode for `file`.

###### ggit_diff_file_get_oid

Gets the `GgitOId` for `file`.

###### ggit_diff_file_get_path

Gets the path of `file` or `NULL` if it is unknown.

###### ggit_diff_file_get_size

Gets the size for `file`.

###### ggit_diff_file_ref

Atomically increments the reference count of `file` by one. This function is MT-safe and may be called from any thread.

###### ggit_diff_file_unref

Atomically decrements the reference count of `file` by one. If the reference count drops to 0, `file` is freed.